# MagicView for ToolManager using CSH.
# Can be used by DOCKs, APPICONs or CLI
# $VER: MagicView 1.0 14/1/95 Jonathan Benson

csh:class

if -n $_passed
	set MagicDir :
	set MagicFile ""
	label request
	set _passed =  @filereq( "Please select the file(s)" $MagicDir"#?" $MagicFile )
	set MagicDir  @dirname( ""$_passed"" )/
	set MagicFile  @basename( ""$_passed"" )
	set MagicRep true
else
	set MagicRep false
endif

if -n $_passed = ""
	v $_passed
	if $MagicRep = true
		goto request
        endif
endif

label end
return

# Thanks to Magnus Holmgren for creating the wonderful
# ReqChange.
# and to Nico Franois for his superb ReqTools library,
# and of course lets not forget Stefan Boberg.
# And to Stefan Becker for ToolManager.
# And to the guy who wrote UnLha who inspired this
# little script. (sorry I couldn't see your name anywhere)
# And of course to the following for CShell:
#     Shell V2.04 (C)Copyright 1986, Matthew Dillon, All Rights Reserved
#     Shell V2.04M-V2.07M by Steve Drew
#     Shell V2.08MI, V3.xxA and V4.xxA by Carlo Borreo & Cesare Dieni
#     Shell V5.xxL by U. Dominik Mueller
#     Shell V5.20+ by Andreas M. Kirchwitz
